"""Added unique constraints on central nm tables.

Revision ID: 13876647f64b
Revises: cab8c02211c6
Create Date: 2017-04-12 13:58:20.091398

"""

# revision identifiers, used by Alembic.
revision = '13876647f64b'
down_revision = 'cab8c02211c6'

from alembic import op
import sqlalchemy as sa


UPGRADE = """"""
DOWNGRADE = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint(None, 'nm_action_roles', ['aid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_roles', ['uid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_usergroups', ['uid', 'gid'])
    ### end Alembic commands ###
    iter_statements(UPGRADE)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'nm_user_usergroups', type_='unique')
    op.drop_constraint(None, 'nm_user_roles', type_='unique')
    op.drop_constraint(None, 'nm_action_roles', type_='unique')
    ### end Alembic commands ###
    iter_statements(DOWNGRADE)
